phing-tasks-system

# Class: ChmodTask Source Location: /tasks/system/ChmodTask.php
### Class Overview
    ProjectComponent
       |
       --Task
          |
          --ChmodTask
Task that changes the permissions on a file/directory. #### Author(s): Hans Lellelid <hans@xmpl.org> Manuel Holtgrewe <grin@gmx.net> #### Version: $Revision: 552 $ #### Copyright: � 2001,2002 THYRELL. All rights reserved | ### Methods createFileSet main setFailonerror setFile setMode setQuiet setVerbose
### Inherited Variables #### Class: Task Task::$description Task::$location Task::$target Task::$taskName Task::$taskType Task::$wrapper #### Class: ProjectComponent ProjectComponent::$project | ### Inherited Methods #### Class: Task Task::getDescription() Returns the textual description of the task Task::getLocation() Returns the location within the buildfile this task occurs. Used by BuildException to give detailed error messages. Task::getOwningTarget() Returns the owning target of this task. Task::getRegisterSlot() Returns a name Task::getRuntimeConfigurableWrapper() Returns the wrapper object for runtime configuration Task::getTaskName() Returns the name of task, used only for log messages Task::getTaskType() Returns the name of the task under which it was invoked, usually the XML tagname Task::init() Called by the parser to let the task initialize properly. Task::log() Provides a project level log event to the task. Task::main() Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice. Task::maybeConfigure() Configure this task if it hasn't been done already. Task::perform() Perfrom this task Task::setDescription() Sets a textual description of the task Task::setLocation() Sets the location within the buildfile this task occurs. Called by the parser to set location information. Task::setOwningTarget() Sets the owning target this task belongs to. Task::setRuntimeConfigurableWrapper() Sets the wrapper object this task should use for runtime configurable elements. Task::setTaskName() Sets the name of this task for log messages Task::setTaskType() Sets the type of the task. Usually this is the name of the XML tag #### Class: ProjectComponent ProjectComponent::getProject() Returns a reference to current project ProjectComponent::log() Logs a message with the given priority. ProjectComponent::setProject() References the project to the current component.
### Class Details [line 33] Task that changes the permissions on a file/directory. #### Tags:
author: | Hans Lellelid <hans@xmpl.org>
author: | Manuel Holtgrewe <grin@gmx.net>
version: | $Revision: 552 $
copyright: | � 2001,2002 THYRELL. All rights reserved
[ Top ] ### Class Methods ### method createFileSet [line 89]
`void createFileSet( )`
Nested creator, adds a set of files (nested fileset attribute). [ Top ] ### method main [line 98]
`void main( )`
Execute the touch operation. Overrides Task::main() (Called by the project to let the task do it's work. This method may be called more than once, if the task is invoked more than once. For example, if target1 and target2 both depend on target3, then running <em>phing target1 target2</em> will run all tasks in target3 twice.) [ Top ] ### method setFailonerror [line 51]
`void setFailonerror( $bool)`
This flag means 'note errors to the output, but keep going' #### Tags:
see: | ChmodTask::setQuiet()
#### Parameters:
| $bool |
[ Top ] ### method setFile [line 78]
`void setFile( $file)`
Sets a single source file to touch. If the file does not exist an empty file will be created. #### Parameters:
PhingFile | $file |
[ Top ] ### method setMode [line 82]
`void setMode( $str)`
#### Parameters:
| $str |
[ Top ] ### method setQuiet [line 59]
`void setQuiet( $bool)`
Set quiet mode, which suppresses warnings if chmod() fails. #### Tags:
see: | ChmodTask::setFailonerror()
#### Parameters:
| $bool |
[ Top ] ### method setVerbose [line 70]
`void setVerbose( $bool)`
Set verbosity, which if set to false surpresses all but an overview of what happened. #### Parameters:
| $bool |
[ Top ] Documentation generated on Mon, 19 Oct 2009 10:50:31 +0200 by phpDocumentor 1.4.3